Bug 201083 - NullPointerException at org.netbeans.modules.cnd.completion.impl.xref.FileReferencesContext.putHotSpotEnum
NullPointerException at org.netbeans.modules.cnd.completion.impl.xref.FileRef...
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Code Completion
7.0
All All
: P2 (vote)
: 7.1
Assigned To: Alexander Simon
issues@cnd
EXCEPTIONS_REPORT,701patch2-verified,...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-18 10:55 UTC by Exceptions Reporter
Modified: 2011-09-28 16:53 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (3.66 KB, text/plain)
2011-08-18 10:55 UTC, Exceptions Reporter
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Exceptions Reporter 2011-08-18 10:55:10 UTC
This issue was reported manually by vv159170.
It already has 2 duplicates 


Build: NetBeans IDE 7.0 (Build 201104080000)
VM: Java HotSpot(TM) 64-Bit Server VM, 20.0-b11, Java(TM) SE Runtime Environment, 1.6.0_25-b06
OS: Windows 7

User Comments:
GUEST: same thing

GUEST: Attempting to refactor/rename a value in an enum.. immediately after succesfully renaming another one




Stacktrace: 
java.lang.NullPointerException
   at org.netbeans.modules.cnd.completion.impl.xref.FileReferencesContext.putHotSpotEnum(FileReferencesContext.java:147)
   at org.netbeans.modules.cnd.completion.csm.CompletionResolverImpl.getGlobalEnumerators(CompletionResolverImpl.java:968)
   at org.netbeans.modules.cnd.completion.csm.CompletionResolverImpl.resolveContext(CompletionResolverImpl.java:583)
   at org.netbeans.modules.cnd.completion.csm.CompletionResolverImpl.resolveContext(CompletionResolverImpl.java:254)
   at org.netbeans.modules.cnd.completion.csm.CompletionResolverImpl.resolve(CompletionResolverImpl.java:204)
   at org.netbeans.modules.cnd.completion.cplusplus.ext.CsmCompletionQuery$Context.resolve(CsmCompletionQuery.java:900)
Comment 1 Exceptions Reporter 2011-08-18 10:55:14 UTC
Created attachment 110072 [details]
stacktrace
Comment 2 Alexander Simon 2011-09-16 07:24:33 UTC
fixed, change set:
http://hg.netbeans.org/cnd-main/rev/3557e2ab95b9
Comment 3 Vladimir Voskresensky 2011-09-16 09:33:08 UTC
fix is safe and correct
Comment 4 Vladimir Voskresensky 2011-09-16 11:53:08 UTC
integrated
releases_elif/rev/38db8297d003
Comment 5 Quality Engineering 2011-09-17 14:22:39 UTC
Integrated into 'main-golden'
Changeset: http://hg.netbeans.org/main-golden/rev/3557e2ab95b9
User: Alexander Simon <alexvsimon@netbeans.org>
Log: fixed Bug #201083 NullPointerException at org.netbeans.modules.cnd.completion.impl.xref.FileReferencesContext.putHotSpotEnum
Comment 6 Alexander Pepin 2011-09-21 15:52:54 UTC
can not reproduce in oss-platform-build #66 (20110921)
Comment 7 Quality Engineering 2011-09-26 13:37:12 UTC
Integrated into 'releases'
Changeset: http://hg.netbeans.org/releases/rev/38db8297d003
User: Alexander Simon <alexvsimon@netbeans.org>
Log: fixed Bug #201083 NullPointerException at org.netbeans.modules.cnd.completion.impl.xref.FileReferencesContext.putHotSpotEnum
(transplanted from 3557e2ab95b956b28942c51a424ea76b9290e9aa)
Comment 8 Alexander Pepin 2011-09-28 16:53:14 UTC
can not reproduce in OSS dev build based on 7.0.1 patch2


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo